//劳务招聘
//招聘人数
export enum HireType {
  hireNumber = 10,
  hireEndNumber = 20,
}
export const HireTypeText = {
  [HireType.hireNumber]: '固定人数',
  [HireType.hireEndNumber]: '范围人数',
};
//性别要求
export enum SexRequirement {
  unlimited = 0,
  male = 10,
  female = 20,
  setting = 30,
}
export const SexRequirementText = {
  [SexRequirement.unlimited]: '不限',
  [SexRequirement.male]: '仅限男士',
  [SexRequirement.female]: '仅限女士',
  [SexRequirement.setting]: '男女设定',
};
export const SexRequirementTextV3 = {
  [SexRequirement.unlimited]: '不限',
  [SexRequirement.male]: '男性',
  [SexRequirement.female]: '女性',
};
//学历要求
export enum EducationStatus {
  unlimited = 0,
  primary = 10,
  junior = 20,
  high = 30,
  specialty = 40,
  university = 50,
  master = 60,
  doctor = 70,
}
export const EducationStatusText = {
  [EducationStatus.unlimited]: '不限',
  [EducationStatus.primary]: '小学',
  [EducationStatus.junior]: '初中',
  [EducationStatus.high]: '高中',
  [EducationStatus.specialty]: '专科',
  [EducationStatus.university]: '大学',
  [EducationStatus.master]: '硕士',
  [EducationStatus.doctor]: '博士',
};
//工作性质
export enum WorkNature {
  secondShifts = 10,
  onlyDay = 20,
}
export const WorkNatureText = {
  [WorkNature.secondShifts]: '两班倒',
  [WorkNature.onlyDay]: '仅白班',
};
//工资发放类型
export enum SalaryType {
  month = 10,
  week = 20,
  day = 30,
}
export const SalaryTypeText = {
  [SalaryType.month]: '每月发放',
  [SalaryType.week]: '每周发放',
  [SalaryType.day]: '每天发放',
};
export const SalaryTypeTextV3 = {
  [SalaryType.month]: '月结',
  [SalaryType.week]: '周结',
  [SalaryType.day]: '日结',
};
//对外联系方式
export enum ExternalcontactType {
  platform = 10,
  Manual = 20,
}
export const ExternalcontactTypeText = {
  [ExternalcontactType.platform]: '平台400',
  [ExternalcontactType.Manual]: '手动输入',
};

/**
 * 返费
 */
export enum OrderRebateMode {
  /**
   * 限时返
   */
  Hour = 10,
  /**
   * 一次性返
   */
  Recruit = 20,
  /**
   * 长期返
   */
  Continuous = 30,
}

export const OrderRebateModeText = {
  [OrderRebateMode.Hour]: '限时返',
  [OrderRebateMode.Recruit]: '一次性返',
  [OrderRebateMode.Continuous]: '长期返',
};

export const OrderRebateModeTextV3 = {
  [OrderRebateMode.Continuous]: '长期返',
  [OrderRebateMode.Hour]: '限时返',
  [OrderRebateMode.Recruit]: '一次性返',
};

/**
 * 返费时长 0连续合作 其他数值就代表时长月份
 */
export enum OrderRebateTime {
  Continuous,
  One,
  Two,
  Tree,
  Four,
  Five,
  Six,
  Seven,
  Eight,
  Nine,
  Ten,
  Eleven,
  Twelve,
}

export const OrderRebateTimeText = {
  [OrderRebateTime.Continuous]: '连续合作',
  [OrderRebateTime.One]: '1个月',
  [OrderRebateTime.Two]: '2个月',
  [OrderRebateTime.Tree]: '3个月',
  [OrderRebateTime.Four]: '4个月',
  [OrderRebateTime.Five]: '5个月',
  [OrderRebateTime.Six]: '6个月',
  [OrderRebateTime.Seven]: '7个月',
  [OrderRebateTime.Eight]: '8个月',
  [OrderRebateTime.Nine]: '9个月',
  [OrderRebateTime.Ten]: '10个月',
  [OrderRebateTime.Eleven]: '11个月',
  [OrderRebateTime.Twelve]: '12个月',
};

/**
 * 当rebateMode为Recruit时的时间单位
 */
export const OrderRebateTimeTextForRebateModeRecruit = '天/后';

export enum SupplierProfitUint {
  /**
   * 一次性利润
   */
  Disposable = 10,
  /**
   * xx元/每人/每小时
   */
  Hour = 20,
  /**
   *  xx元/每人/每月
   */
  Month = 30,
}

/**
 * 根据rebateMode获取supplierProfitUint
 */
export const SupplierProfitUintByRebateMode = {
  [OrderRebateMode.Hour]: SupplierProfitUint.Hour,
  [OrderRebateMode.Recruit]: SupplierProfitUint.Disposable,
  [OrderRebateMode.Continuous]: SupplierProfitUint.Month,
};

export const SupplierProfitUintText = {
  [SupplierProfitUint.Disposable]: '元',
  [SupplierProfitUint.Hour]: '元/人/小时',
  [SupplierProfitUint.Month]: '元/人/月',
};

export enum CycleTypeEnum {
  /**
   * 按月
   */
  month = 10,
  /**
   * 按日
   */
  day = 20,
  /**
   * 按时
   */
  hour = 30,
}
export const CycleTypeEnumText = {
  [CycleTypeEnum.month]: '按月',
  [CycleTypeEnum.day]: '按日',
  [CycleTypeEnum.hour]: '按时',
};
export const RebateCycleTypeText = {
  [CycleTypeEnum.month]: '月',
  [CycleTypeEnum.day]: '日',
  [CycleTypeEnum.hour]: '时',
};
export const CycleTypeEnumUnitText = {
  [CycleTypeEnum.month]: '元/人/月',
  [CycleTypeEnum.day]: '元/人/日',
  [CycleTypeEnum.hour]: '元/人/时',
};

export const EmptyRupplierRefund = {
  rebateMode: OrderRebateMode.Hour,
  rebateTime: '' as any as number,
  supplierProfit: 0,
  supplierProfitUint: SupplierProfitUint.Hour,
  sequence: 0,
};

export enum OrderStatus {
  /**
   * 已驳回
   */
  Reject = -10,
  /**
   * 未提交
   */
  Draft = 10,
  /**
   * 待审核
   */
  WaitToAudit = 20,
  /**
   * 进行中
   */
  Passed = 30,
  /**
   * 下架
   */
  OffShelf = 40,
  /**
   * 运营下架
   */
  SystemOffShelf = 50,
}

export const OrderStatusText = {
  [OrderStatus.Reject]: '已驳回',
  [OrderStatus.Draft]: '草稿',
  [OrderStatus.WaitToAudit]: '待审核',
  [OrderStatus.Passed]: '发布中',
  [OrderStatus.OffShelf]: '已停止',
  [OrderStatus.SystemOffShelf]: '运营下架',
};

export const OrderStatusTextForFilter = {
  [OrderStatus.Reject]: '已驳回',
  [OrderStatus.WaitToAudit]: '待审核',
  [OrderStatus.Passed]: '发布中',
  [OrderStatus.OffShelf]: '已停止',
};

export const OrderStatusTextMap = new Map([
  [OrderStatus.Passed, '发布中'],
  [OrderStatus.WaitToAudit, '待审核'],
  [OrderStatus.OffShelf, '已停止'],
  [OrderStatus.Reject, '已驳回'],
]);

export const OrderStatusTextTag = {
  [OrderStatus.Reject]: 'danger',
  [OrderStatus.Draft]: 'warning',
  [OrderStatus.WaitToAudit]: 'warning',
  [OrderStatus.Passed]: 'success',
  [OrderStatus.OffShelf]: 'danger',
  [OrderStatus.SystemOffShelf]: 'danger',
};

export enum OrderOperateBtnStatus {
  Add = 1,
  Edit,
  Copy,
}

export enum SalaryTimeTypeEnum {
  /**
   * 月薪
   */
  Month = 10,
  /**
   * 周薪
   */
  Week = 20,
  /**
   * 日薪
   */
  Day = 30,
  /**
   * 时薪
   */
  Hour = 40,
}

export const SalaryTimeTypeEnumText = {
  [SalaryTimeTypeEnum.Month]: '月薪',
  [SalaryTimeTypeEnum.Week]: '周薪',
  [SalaryTimeTypeEnum.Day]: '日薪',
  [SalaryTimeTypeEnum.Hour]: '时薪',
};

export const SalaryTimeTypeEnumUnit = {
  [SalaryTimeTypeEnum.Month]: '元/月',
  [SalaryTimeTypeEnum.Week]: '元/周',
  [SalaryTimeTypeEnum.Day]: '元/天',
  [SalaryTimeTypeEnum.Hour]: '元/小时',
};

export const SalaryTimeTypeEnumUnitExact = {
  [SalaryTimeTypeEnum.Month]: '月',
  [SalaryTimeTypeEnum.Week]: '周',
  [SalaryTimeTypeEnum.Day]: '天',
  [SalaryTimeTypeEnum.Hour]: '小时',
};
